org.apache.poi.hssf.record.common

## Class FtrHeader

- java.lang.Object
- - org.apache.poi.hssf.record.common.FtrHeader

- All Implemented Interfaces:
    Duplicatable

      public final class FtrHeader
      extends java.lang.Object
      implements Duplicatable

  Title: FtrHeader (Future Record Header) common record part

  This record part specifies a header for a Ftr (Future) style record, which includes extra attributes above and beyond those of a traditional record.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtrHeader()`
    `FtrHeader(FtrHeader other)`
    `FtrHeader(RecordInputStream in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FtrHeader` | `clone()` Deprecated.
    `FtrHeader` | `copy()`
    `CellRangeAddress` | `getAssociatedRange()`
    `static int` | `getDataSize()`
    `short` | `getGrbitFrt()`
    `short` | `getRecordType()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setAssociatedRange(CellRangeAddress associatedRange)`
    `void` | `setGrbitFrt(short grbitFrt)`
    `void` | `setRecordType(short recordType)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FtrHeader

          public FtrHeader()

    - #### FtrHeader

          public FtrHeader(FtrHeader other)

    - #### FtrHeader

          public FtrHeader(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

    - #### getDataSize

          public static int getDataSize()

    - #### getRecordType

          public short getRecordType()

    - #### setRecordType

          public void setRecordType(short recordType)

    - #### getGrbitFrt

          public short getGrbitFrt()

    - #### setGrbitFrt

          public void setGrbitFrt(short grbitFrt)

    - #### getAssociatedRange

          public CellRangeAddress getAssociatedRange()

    - #### setAssociatedRange

          public void setAssociatedRange(CellRangeAddress associatedRange)

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FtrHeader clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public FtrHeader copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.